
singleton Material(bandito)
{
    mapTo = "bandito";
    diffuseMap[2] = "vehicles/common/pickup/pickup_c.dds";
    specularMap[2] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[2] = "vehicles/common/pickup/pickup_n.dds";
    colorPaletteMap[2] = "vehicles/pickup/bandito_cap.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_d.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_n.dds";
    //diffuseMap[3] = "vehicles/common/pickup/pickup_dirt.dds";
    //normalMap[3] = "vehicles/common/pickup/pickup_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(bandito_accentpanel)
{
    mapTo = "bandito_accentpanel";
    specularMap[0] = "vehicles/pickup/bandito_accentpanel_s.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/pickup/bandito_accentpanel_d.dds";
    reflectivityMap[0] = "vehicles/pickup/bandito_accentpanel_s.dds";
    diffuseMap[1] = "vehicles/pickup/bandito_accentpanel_d.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(bandito_sparecover)
{
    mapTo = "bandito_sparecover";
    diffuseMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_sparecover_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_sparecover_a_d.dds";
    normalMap[1] = "vehicles/hopper/hopper_sparecover_n.dds";
    specularMap[1] = "vehicles/hopper/hopper_sparecover_s.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass_tint)
{
    mapTo = "pickup_glass_tint";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/common/pickup/pickup_glass_d.dds";
    opacityMap[0] = "vehicles/common/pickup/pickup_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_glass_da.dds";
    diffuseMap[2] = "vehicles/common/null.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    diffuseColor[2] = "0.1 0.1 0.1 0.6";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass_tint_int)
{
    mapTo = "pickup_glass_tint_int";
    diffuseMap[0] = "vehicles/common/pickup/pickup_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    diffuseColor[1] = "0.1 0.1 0.1 0.6";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass_tint_dmg)
{
    mapTo = "pickup_glass_tint_dmg";
    diffuseMap[0] = "vehicles/common/pickup/pickup_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/common/pickup/pickup_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[2] = "vehicles/common/null.dds";
    opacityMap[2] = "vehicles/common/pickup/pickup_glass_dmg_d.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    diffuseColor[2] = "0.1 0.1 0.1 0.8";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(bandito_lettering)
{
    mapTo = "bandito_lettering";
    specularMap[0] = "vehicles/pickup/bandito_lettering_s.dds";
    normalMap[0] = "vehicles/pickup/bandito_lettering_n.dds";
    diffuseMap[0] = "vehicles/pickup/bandito_lettering_s.dds";
    reflectivityMap[0] = "vehicles/pickup/bandito_lettering_s.dds";
    diffuseMap[1] = "vehicles/pickup/bandito_lettering_d.dds";
    normalMap[1] = "vehicles/pickup/bandito_lettering_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "1 1 1 0.9";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material("roamer_interior.skin_interior.red")
{
    mapTo = "roamer_interior.skin_interior.red";
    reflectivityMap[1] = "vehicles/roamer/roamer_interior_s.dds";
    diffuseMap[1] = "vehicles/roamer/roamer_interior_d.dds";
    specularMap[1] = "vehicles/roamer/roamer_interior_s.dds";
    normalMap[1] = "vehicles/roamer/roamer_interior_n.dds";
    reflectivityMap[0] = "vehicles/roamer/roamer_interior_s.dds";
    diffuseMap[0] = "vehicles/roamer/roamer_interior_d.dds";
    specularMap[0] = "vehicles/roamer/roamer_interior_s.dds";
    normalMap[0] = "vehicles/roamer/roamer_interior_n.dds";
    diffuseColor[1] = "0.52 0.2 0.2 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("roamer_interior.skin_interior.blue")
{
    mapTo = "roamer_interior.skin_interior.blue";
    reflectivityMap[1] = "vehicles/roamer/roamer_interior_s.dds";
    diffuseMap[1] = "vehicles/roamer/roamer_interior_d.dds";
    specularMap[1] = "vehicles/roamer/roamer_interior_s.dds";
    normalMap[1] = "vehicles/roamer/roamer_interior_n.dds";
    reflectivityMap[0] = "vehicles/roamer/roamer_interior_s.dds";
    diffuseMap[0] = "vehicles/roamer/roamer_interior_d.dds";
    specularMap[0] = "vehicles/roamer/roamer_interior_s.dds";
    normalMap[0] = "vehicles/roamer/roamer_interior_n.dds";
    diffuseColor[1] = "0.27 0.42 0.58 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pickup.skin.zebra_stripes")
{
    mapTo = "pickup.skin.zebra_stripes";
    colorPaletteMap[2] = "vehicles/pickup/pickup_skin_zebra_stripes_uv1.dds";
    diffuseMap[2] = "vehicles/common/pickup/pickup_c.dds";
    specularMap[2] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[2] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_d.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
